package com.webchat.client.chat.controller;


import com.webchat.client.chat.service.AccountRelationService;
import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.common.helper.SessionHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/client-service/chat/account-relation")
public class AccountRelationController {


    @Autowired
    private AccountRelationService accountRelationService;

    /**
     * 取消订阅/关注
     * @param account
     * @return
     */
    @PostMapping("/subscribe/{account}")
    public APIResponseBean<Boolean> subscribe(@PathVariable String account) {
        String userId = SessionHelper.getCurrentUserId();
        return APIResponseBeanUtil.success(accountRelationService.subscribe(userId, account));
    }

    /**
     * 取消订阅/关注
     * @param account
     * @return
     */
    @PostMapping("/unsubscribe/{account}")
    public APIResponseBean<Boolean> unsubscribe(@PathVariable String account) {
        String userId = SessionHelper.getCurrentUserId();
        return APIResponseBeanUtil.success(accountRelationService.unsubscribe(userId, account));
    }

}
