package com.webchat.client.chat.service;


import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.rmi.user.AccountRelationClient;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AccountRelationService {


    @Autowired
    private AccountRelationClient accountRelationClient;

    public Boolean subscribe(String userId, String account) {
        APIResponseBean<Boolean> responseBean = accountRelationClient.subscribe(userId, account);
        if (APIResponseBeanUtil.isOk(responseBean)) {
            return ObjectUtils.equals(responseBean.getCode(), true);
        }
        // TODO
        return false;
    }

    /**
     * 取消订阅/关注
     * @param account
     * @return
     */
    public Boolean unsubscribe(String userId, String account) {
        APIResponseBean<Boolean> responseBean = accountRelationClient.unsubscribe(userId, account);
        if (APIResponseBeanUtil.isOk(responseBean)) {
            return ObjectUtils.equals(responseBean.getCode(), true);
        }
        // TODO
        return false;
    }
}
