package com.webchat.rmi.user;


import com.webchat.common.bean.APIResponseBean;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(name = "webchat-user-service")
public interface AccountRelationClient {

    /**
     * 订阅/关注
     *
     * @param sourceAccount
     * @param targetAccount
     * @return
     */
    @PostMapping("/user-service/account-relation/subscribe/{sourceAccount}/{targetAccount}")
    APIResponseBean<Boolean> subscribe(@PathVariable String sourceAccount,
                                       @PathVariable String targetAccount);

    /**
     * 取消订阅/关注
     *
     * @param sourceAccount
     * @param targetAccount
     * @return
     */
    @PostMapping("/user-service/account-relation/unsubscribe/{sourceAccount}/{targetAccount}")
    APIResponseBean<Boolean> unsubscribe(@PathVariable String sourceAccount,
                                         @PathVariable String targetAccount);

}
