package com.webchat.user.service.relation;


import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import com.webchat.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AccountRelationService {

    @Autowired
    private UserService userService;

    /**
     * 订阅/关注
     *
     * @param sourceAccount
     * @param targetAccount
     * @return
     */
    public Boolean subscribe(String sourceAccount, String targetAccount) {
        UserBaseResponseInfoVO targetAccountInfo = userService.getUserBaseInfoByUserId(targetAccount);
        Integer roleCode = targetAccountInfo.getRoleCode();
        return AccountRelationFactory.getService(roleCode).subscribe(sourceAccount, targetAccount);
    }

    /**
     * 取消订阅/关注
     *
     * @param sourceAccount
     * @param targetAccount
     * @return
     */
    Boolean unsubscribe(String sourceAccount, String targetAccount) {
        UserBaseResponseInfoVO targetAccountInfo = userService.getUserBaseInfoByUserId(targetAccount);
        Integer roleCode = targetAccountInfo.getRoleCode();
        return AccountRelationFactory.getService(roleCode).unsubscribe(sourceAccount, targetAccount);
    }


}
